Add "package" command to the CLI

2012-03-30 01:12 - Andrew Pippin

Status: Closed Start date: 2012-03-30

Priority: Normal Due date:  

Assignee: Andrew Pippin % Done: 100%

Category: d1_client_cli Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Add the ability to create and add an aggregate to DataONE.

Related issues:

Related to Infrastructure - Task #2609: Document CLI "package" feature set. Closed 2012-04-16

Related to Python CLI - Feature #2652: Python CLI - Version 2 Closed 2012-02-23

History

#1 - 2012-03-30 01:14 - Andrew Pippin

Current package command is complete command line based.  Need to enable a single line to create an aggregate.

Current commands are:

create [pid]

rename

show [pid]

load [pid]

save [pid]

scimeta [add]

scimeta del

scimeta show

scimeta meta

scidata [add]  [...]

scidata del

scidata show

scidata meta 

#2 - 2012-04-13 15:16 - Andrew Pippin

- % Done changed from 0 to 80

package help
Documented "package" commands (type package help ):

create  help   load  name   save     scimeta

delete  leave  meta  print  scidata  show   

package help scimeta

scimeta [add | del | desc | show | meta ] [options]

add    pid [file]  Assign the science meta object

del    Remove the science meta object from the package.

show   Display the current science meta object.

meta   Display the system meta data for the science meta object.

desc   Describe the current science meta object.

package help scidata

scidata [add | del | desc | show | meta ]

add      [file]  Add the science object to the package.

del      Remove the given science object from the package.

clear  Remove all science data objects from the package.

print     Describe the given science object.

show     Display the given science object.

meta     Display the system meta data for the given science object.

#3 - 2012-04-24 18:04 - Andrew Pippin

As a result of the USGS presentation (April 17 & 18, 2012), several changes were suggested.  The general theme was to make the command names

conform to the semantics of the existing commands.  As a result, the below changes will be made for the first production release.

+Rename commands+:

* create → new

* delete → remove

* leave → done

* load → get

* print → show

* save → create

+Remove the commands+

* meta

* name

+Other+

Clean up the error messages, and make them much more descriptive.

Better document the feature set.
#4 - 2012-05-03 22:05 - Andrew Pippin

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Complete.
